Skip to content

Callback configuration

You can set up callback URLs to receive event notifications when your registration status is updated. When delivering events the order is not guaranteed (for example, a failed event scheduled for retry will not block other events that were queued). The client's callback handler must implement the state machine that can decide what to do with unexpected events, for example, "old" events or invalid state transitions. In these cases the handler could use the API to GET the latest state for the resource. The callback handler is expected to "ingest" the event and respond with 200 OK. The domain-specific business logic and processes should be executed outside of the callback request, as internal asynchronous jobs. An HMAC encrypted secret is used for hashing the payload and sending the hashed String via the X-Sinch-Signature header - that you can use to validate that an incoming request is secure. Hmac secret value can be checked with GET endpoint, and it can be updated with PUT endpoint

Get callback configuration

Request

The endpoint receives as path param project id. If the project exists, the details of the callback configuration are returned.

Security
OAuth2(Required scopes: read)
Path
projectIdstringrequired

Customer's project id

curl -i -X GET \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/callback-configuration' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
hmacSecretstring

The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
projectIdstring
Response
{ "hmacSecret": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "projectId": "string" }
We'd love to hear from you!
Rate this content: